<?php

$distributors = get_posts(array('post_type'=>'distributor','posts_per_page'=>-1));

$default = get_theme_mod('distributors_default');
$default = empty($default)? 'All' : $default;


$allservices = array();
foreach ($distributors as $i => $distributor) {
	$distributor = new PostType($distributor);
	$services = $distributor->services;
	if (!is_array($services)) {
		$services = array($services);
	}
	foreach ($services as $service) {
		if (!in_array($service, $allservices)) {
			$allservices[] = $service;
		}
	}
}
$allservices = array_filter($allservices);
if (empty($allservices)) {
	return;
}

$options = array('<option value="" '.($default=='All'? 'SELECTED' : '').'>'.__('All Distributors','gulfoil').'</option>');
foreach ($allservices as $service) {
	$options[] = '<option value="'.$service.'" '.($default==$service? 'SELECTED' : '').'>'.__($service,"gulfoil").'</option>';
}



$countries = get_terms('country');
if (count($countries) > 1) {
	foreach ($countries as $i => $country) {
		$countries[$i] = '<option value="'.$country->slug.'">'.__($country->name,"gulfoil").'</option>';
	}
}



?>
<div class="distributorfilter">
	<div class="row">
		<?php
		if (count($countries) > 1) {
			?>
			<div class="filtersection columns medium-6 <?php print count($countries) < 2? 'medium-push-3' : '' ?>"><label><?php _e('Country','gulfoil') ?></label><select id="filtercountry"><option value=""><?php _e('All Countries') ?></option><?php print implode('',$countries) ?></select></div>
			<?php
		}
		?>
		<div class="filtersection columns medium-6"><label><?php _e('Product/Service','gulfoil') ?></label><select id="filterproduct"><?php print implode('',$options) ?></select></div>
	</div>
</div>
