<?php

$object = gulf_get_display_object();
if (!$object) {
	return;
}

$banners = $object->getField('banners');
if (empty($banners)) {
	return;
}

?>
<div id="elements-banners" class="row">
	<?php
	foreach ($banners as $i => $banner) {
		$translation = gulf_get_translation($banner->ID);
		if ($translation) {
			$banner = new PostType($translation);
		}
		$image = $banner->image;
		if (!$image) {
			global $NOIMAGE;
			$image = $NOIMAGE;
		} else {
			$image = new Image($image);
		}		
		
		?>
	<div class="elements-banner columns <?php print $i%2==0? 'odd' : 'even' ?>" data-equalizer data-equalize-on="medium" >
		<div class="elements-banner-texture">
			<div class="elements-banner-imagery" style="background-image:url('<?php print $image->url(600,300) ?>')" data-equalizer-watch>
			</div>
			<div class="elements-banner-content" data-equalizer-watch>
				<div class="elements-banner-content-pad">
					<h2><?php print $banner->post_title ?></h2>
					<?php print apply_filters('the_content',$banner->post_content) ?>
					<?php
					$link = $banner->link;
					$timeline = (int) $banner->timeline;
					if (!empty($link)) {
						$link = get_permalink($link);
					}
					if (empty($link) && !empty($timeline)) {
						$link = get_term_link($timeline,'timeline');
					}
					if (empty($link) || !is_string($link)) {
						$link = $banner->url;
					}
					if (!empty($link)) {
						$target = isset($banner->new_window) && $banner->new_window? 'target="_blank"' : '';
						?><a class="linkbutton" href="<?php print $link ?>" <?php print $target ?>><i class="fa fa-chevron-right fa-2x" aria-hidden="true"></i></a><?php
					}
					?>
				</div>
			</div>
		</div>
	</div>
		<?php
	}
	?>
</div>


