<?php
/*
Template Name: Sidebars left and right
*/
?>

<?php get_header(); ?>
			
	<div id="content" class="sidebar-both">
		
		<?php gulf_breadcrumbs() ?>
		
		<?php get_template_part( 'parts/page-elements', 'buttons' ); ?>
	
		<div id="inner-content" class="row">
	
		    <main id="main" class="large-6 medium-12 columns large-push-3" role="main">
				
				<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

					<?php get_template_part( 'parts/loop', 'page' ); ?>
					
				<?php endwhile; endif; ?>							

			</main> <!-- end #main -->
			
			<div class="sidebar large-3 medium-6 columns large-pull-6 sidebar-position-left">
				<?php get_sidebar(); ?>
			</div>
			
			<div class="sidebar large-3 medium-6 columns sidebar-position-right">
				<?php get_sidebar('secondary'); ?>
			</div>
		    
		</div> <!-- end #inner-content -->
		
		<?php get_template_part( 'parts/page-elements', 'links' ); ?>				
	
		<?php get_template_part( 'parts/page-elements', 'banners' ); ?>

	</div> <!-- end #content -->

<?php get_footer(); ?>
